# Node Physics
[![npm version](https://img.shields.io/npm/v/nodephysics.svg?style=flat-square)](https://img.shields.io/npm/v/nodequadratic.svg?style=flat-square)
[![downloads per month](https://img.shields.io/npm/dm/nodephysics.svg?style=flat-square)](https://img.shields.io/npm/dm/nodequadratic.svg?style=flat-square)
> Physics is the natural science that studies matter and its motion and behavior through space and time and that studies the related entities of energy and force.

## Installation

This is a Node.js module available through the npm registry.

Before installing `nodephysics`, [download and install Node.js](https://nodejs.org/en/download/)

Installation is accomplished using the [npm install command](https://docs.npmjs.com/getting-started/installing-npm-packages-locally):

```bash
$ npm i nodephysics
```

## Usage

Node Physics is a very simple package to use:

```javascript
var nodephysics = require("nodephysics");

var velocity = nodephysics.velocity(20, 5, true);

console.log(velocity);

// 4 m/s
```

## Functions

Every function has a boolean input that allows you to choose whether or not to include units. You do not have to include the boolean, if you do not want the units listed.

Below is the list of possible functions, as well as their different inputs.

1. .velocity(∆ position, ∆ time, boolean)
2. .acceleration(∆ velocity, ∆ time, boolean)
3. .weight(mass, gravity, boolean)
4. .momentum(mass, velocity, boolean)
5. .power(∆ work, ∆ time, boolean)
